Package org.apache.commons.compress.compressors.gzip

# Enum GzipParameters.OS

java.lang.Object
java.lang.Enum<GzipParameters.OS>
org.apache.commons.compress.compressors.gzip.GzipParameters.OS

All Implemented Interfaces:
  `Serializable`, `Comparable<GzipParameters.OS>`

Enclosing class:
  `GzipParameters`

public static enum GzipParameters.OS extends Enum<GzipParameters.OS>
Enumerates OS types.

- 0 - FAT filesystem (MS-DOS, OS/2, NT/Win32)
- 1 - Amiga
- 2 - VMS (or OpenVMS)
- 3 - Unix
- 4 - VM/CMS
- 5 - Atari TOS
- 6 - HPFS filesystem (OS/2, NT)
- 7 - Macintosh
- 8 - Z-System
- 9 - CP/M
- 10 - TOPS-20
- 11 - NTFS filesystem (NT)
- 12 - QDOS
- 13 - Acorn RISCOS
- 255 - unknown

Since:
  1.28.0
See Also:
  - RFC 1952: GZIP File Format Specification - OS (Operating System)

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACORN_RISCOS`
  13: Acorn RISCOS.
  `AMIGA`
  1: Amiga.
  `ATARI_TOS`
  5: Atari TOS.
  `CPM`
  9: CP/M.
  `FAT`
  0: FAT filesystem (MS-DOS, OS/2, NT/Win32).
  `HPFS`
  6: HPFS filesystem (OS/2, NT).
  `MACINTOSH`
  7: Macintosh.
  `NTFS`
  11: NTFS filesystem (NT).
  `QDOS`
  12: QDOS.
  `TOPS_20`
  10: TOPS-20.
  `UNIX`
  3: Unix.
  `UNKNOWN`
  255: unknown.
  `VM_CMS`
  4: VM/CMS.
  `VMS`
  2: VMS (or OpenVMS).
  `Z_SYSTEM`
  8: Z-System.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GzipParameters.OS`
  `from(int code)`
  Gets the `GzipParameters.OS` matching the given code.
  `int`
  `type()`
  Gets the OS type.
  `static GzipParameters.OS`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GzipParameters.OS[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACORN_RISCOS

    public static final GzipParameters.OS ACORN_RISCOS
    13: Acorn RISCOS.

  - ### AMIGA

    public static final GzipParameters.OS AMIGA
    1: Amiga.

  - ### ATARI_TOS

    public static final GzipParameters.OS ATARI_TOS
    5: Atari TOS.

  - ### CPM

    public static final GzipParameters.OS CPM
    9: CP/M.

  - ### FAT

    public static final GzipParameters.OS FAT
    0: FAT filesystem (MS-DOS, OS/2, NT/Win32).

  - ### HPFS

    public static final GzipParameters.OS HPFS
    6: HPFS filesystem (OS/2, NT).

  - ### MACINTOSH

    public static final GzipParameters.OS MACINTOSH
    7: Macintosh.

  - ### NTFS

    public static final GzipParameters.OS NTFS
    11: NTFS filesystem (NT).

  - ### QDOS

    public static final GzipParameters.OS QDOS
    12: QDOS.

  - ### TOPS_20

    public static final GzipParameters.OS TOPS_20
    10: TOPS-20.

  - ### UNIX

    public static final GzipParameters.OS UNIX
    3: Unix.

  - ### UNKNOWN

    public static final GzipParameters.OS UNKNOWN
    255: unknown.

  - ### VM_CMS

    public static final GzipParameters.OS VM_CMS
    4: VM/CMS.

  - ### VMS

    public static final GzipParameters.OS VMS
    2: VMS (or OpenVMS).

  - ### Z_SYSTEM

    public static final GzipParameters.OS Z_SYSTEM
    8: Z-System.

- ## Method Details

  - ### values

    public static GzipParameters.OS[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GzipParameters.OS valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### from

    public static GzipParameters.OS from(int code)
    Gets the `GzipParameters.OS` matching the given code.
    Parameters:
      `code` - an OS or `UNKNOWN` for no match.
    Returns:
      a `GzipParameters.OS`.

  - ### type

    public int type()
    Gets the OS type.
    Returns:
      the OS type.